- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
Exception Class Reference
Exceptions

## Detailed Description

Base class for exceptions used in LEMON.

`#include <lemon/error.h>`

Inheritance diagram for Exception:
[legend]

## Public Member Functions
| Exception () throw ()
| Constructor.
virtual | ~Exception () throw ()
| Virtual destructor.
virtual const char * | what () const throw ()
| A short description of the exception.